Subject: [TR] Mid-Atlantic Caravan to the 2025 VTR National Convention

From: <[email-masked]>
Date: Sat, 22 Feb 2025 15:21:00 -0500

Folks,

Several times over the past few years, I've organized a caravan of Triumph
owners who are attending the VTR National Convention.  The caravans start in
the Mid-Atlantic area and I pick up owners along the way to the convention
city.  This year's convention will be held at the Marriot hotel in La
Crosse, WI and the dates are Tuesday, July 15 through Friday, July 18.

I'm in the early stages of organizing this year's drive.  If you interested
in joining in, feel free to contact me off-list and I'll add you to my
organization emails.

Gary Klein
Severn, MD
Digest

** [email-masked] **

Archive: http://www.team.net/pipermail/triumphs  http://www.team.net/archive